Fortress - Bug #5463

[S-expr] JavaDoc comments are needed
12/04/2014 10:05 AM - Andrei Tatarnikov

Status: Closed Start date: 12/04/2014
Priority: High Due date:

Assignee: Artem Kotsynyak % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.3 Spent time: 0.00 hour
Detected in build: svn Published in build: 141226
Platform:

Description

The ru.ispras.fortress.esexpr package added in revisions r709 n r710 does not contain any description. It is not obvious what
purpose it is supposed to serve. Corresponding JavaDoc comments should be included in the source code (including headers with
the ISP RAS copyright).

History

#1 - 12/04/2014 03:28 PM - Artem Kotsynyak

Proper JavaDoc is to be added for sure, this is just simple description.

ESExpr stands for extended S-expression which represents Lisp-style textual (i.e. uninterpreted) S-expressions like (a b c).

ESExprParser is simple parser for such expressions ignoring ; one-line comments.

ESExprMatcher is expression structure matcher that uses same textual List-style notation and several wildcards -- two for now: %a that matches any
atom including NIL, %s that matches any S-expression including atoms. It allows much more readable matching than one based on regex.

Package is experimental, mostly for SMT bridge.

#2 - 12/05/2014 11:38 AM - Artem Kotsynyak

- Status changed from New to Resolved

1729

#3 - 12/05/2014 11:42 AM - Artem Kotsynyak

Legal notice headers has landed in r730.

#4 - 12/26/2014 07:26 PM - Andrei Tatarnikov
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

- Published in build set to 141226
